##
##  pgscript.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg   1.0b3
%define       V_dist   1.0-beta-3
%define       V_subdir 1876

#   package information
Name:         pgscript
Summary:      PostgreSQL Scripting Language
URL:          http://pgfoundry.org/projects/pgscript/
Vendor:       Mickael Deloison
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      Artistic
Version:      %{V_opkg}
Release:      20080908

#   list of sources
Source0:      http://pgfoundry.org/frs/download.php/%{V_subdir}/pgScript-%{V_dist}.tar.gz
Patch0:       pgscript.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make, gcc::with_cxx = yes, flex, bison
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  postgresql, wx
PreReq:       postgresql, wx

%description
    pgScript is a scripting language for pgAdmin and is based on the
    T-SQL syntax. It provides control-of-flow capabilities, local
    variables and powerful random data generators in addition to the SQL
    (PostgreSQL) language.

%track
    prog pgscript = {
        version   = %{V_subdir}-%{V_dist}
        url       = http://pgfoundry.org/frs/?group_id=1000371
        regex     = /(\d+/pgScript-__VER__)\.tar\.gz
        transform = "s/^(\\d+)\/pgScript-(.+)$/$1-$2/; $_"
    }

%prep
    %setup -q -n pgScript-%{V_dist}
    %patch -p0

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags} `pg_config --cppflags`" \
    LDFLAGS="%{l_ldflags} `pg_config --ldflags`" \
    LIBS="`pg_config --libs`" \
    ./configure \
        --prefix=%{l_prefix}
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -rf files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

